Package com.google.android.exoplayer2.source.dash

## Interface DashChunkSource.Factory

- All Known Implementing Classes:
    `DefaultDashChunkSource.Factory`
  Enclosing interface:
    DashChunkSource

      public static interface DashChunkSource.Factory

  Factory for `DashChunkSource`s.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `DashChunkSource` | `createDashChunkSource​(LoaderErrorThrower manifestLoaderErrorThrower, DashManifest manifest, BaseUrlExclusionList baseUrlExclusionList, int periodIndex, int[] adaptationSetIndices, ExoTrackSelection trackSelection, int type, long elapsedRealtimeOffsetMs, boolean enableEventMessageTrack, List<Format> closedCaptionFormats, PlayerEmsgHandler.PlayerTrackEmsgHandler playerEmsgHandler, TransferListener transferListener)` |

- - ### Method Detail

    - #### createDashChunkSource

          DashChunkSource createDashChunkSource​(LoaderErrorThrower manifestLoaderErrorThrower,
                                                DashManifest manifest,
                                                BaseUrlExclusionList baseUrlExclusionList,
                                                int periodIndex,
                                                int[] adaptationSetIndices,
                                                ExoTrackSelection trackSelection,
                                                int type,
                                                long elapsedRealtimeOffsetMs,
                                                boolean enableEventMessageTrack,
                                                List<Format> closedCaptionFormats,
                                                @Nullable
                                                PlayerEmsgHandler.PlayerTrackEmsgHandler playerEmsgHandler,
                                                @Nullable
                                                TransferListener transferListener)

      Parameters:
        `manifestLoaderErrorThrower` - Throws errors affecting loading of manifests.
        `manifest` - The initial manifest.
        `baseUrlExclusionList` - The base URL exclusion list.
        `periodIndex` - The index of the corresponding period in the manifest.
        `adaptationSetIndices` - The indices of the corresponding adaptation sets in the period.
        `trackSelection` - The track selection.
        `elapsedRealtimeOffsetMs` - If known, an estimate of the instantaneous difference between server-side unix time and `SystemClock.elapsedRealtime()` in milliseconds, specified as the server's unix time minus the local elapsed time. Or `C.TIME_UNSET` if unknown.
        `enableEventMessageTrack` - Whether to output an event message track.
        `closedCaptionFormats` - The `Formats` of closed caption tracks to be output.
        `transferListener` - The transfer listener which should be informed of any data transfers. May be null if no listener is available.
      Returns:
        The created `DashChunkSource`.